Table of Contents

engChangeNoticeComment Resource Type

Use the "engChangeNoticeComment" API to create and manage general comments on ECNs.

Permissions

Requires access to the target company and permissions to read/write ECN comments.

Methods

Operation Company‑scoped Unscoped
List comments GET /companies({companyId})/engChangeNoticeComments GET /engChangeNoticeComments
Create comment POST /companies({companyId})/engChangeNoticeComments POST /engChangeNoticeComments
Get comment GET /companies({companyId})/engChangeNoticeComments({id}) GET /engChangeNoticeComments({id})
Update comment PATCH /companies({companyId})/engChangeNoticeComments({id}) PATCH /engChangeNoticeComments({id})
Delete comment DELETE /companies({companyId})/engChangeNoticeComments({id}) DELETE /engChangeNoticeComments({id})

Endpoints

Company‑scoped

  • GET/POST /companies({companyId})/engChangeNoticeComments
  • GET/PATCH/DELETE /companies({companyId})/engChangeNoticeComments({id})
  • GET /companies({companyId})/engChangeNoticeComments({id})/engChangeNotice
  • via ECN navigation:
    • GET/POST /companies({companyId})/engChangeNotices({ecnId})/engChangeNoticeComments
    • GET/PATCH/DELETE /companies({companyId})/engChangeNotices({ecnId})/engChangeNoticeComments({id})

Unscoped

  • GET/POST /engChangeNoticeComments
  • GET/PATCH/DELETE /engChangeNoticeComments({id})
  • GET/PATCH/DELETE /engChangeNoticeComments({id})/engChangeNotice

Query Options

$select, $filter, $orderby, $expand, $top, $skip

Request Headers

  • Authorization: Bearer {token}
  • Content-Type: application/json (POST/PATCH)
  • If-Match: {etag} (required for PATCH)

Key Properties (Short)

  • id (SystemId, GUID)
  • engChangeNoticeNumber (Document No.)
  • textType = General
  • sequence (Line No.)
  • comment
  • date, userID, lastModifiedDateTime (read‑only)

Notes

  • Date and user are set automatically on insert.

Examples

  • Create comment: POST {Base}/companies({companyId})/engChangeNoticeComments { "engChangeNoticeNumber": "ECN000123", "comment": "Initial note" }

  • Update comment: PATCH {Base}/companies({companyId})/engChangeNoticeComments({id}) { "comment": "Updated note" }

See Also

engChangeNotice


Feedback
Submit feedback for this page .